---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libgetthrdgrpchld001.dylib'
relocations:
  - { offsetInCU: 0x68, offset: 0x68, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x39B0, symBinAddr: 0x3760, symSize: 0x270 }
  - { offsetInCU: 0xAD4, offset: 0xAD4, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x53430, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0xAFB, offset: 0xAFB, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x55370, symBinAddr: 0xE110, symSize: 0x0 }
  - { offsetInCU: 0xB1D, offset: 0xB1D, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x55760, symBinAddr: 0xE500, symSize: 0x0 }
  - { offsetInCU: 0xB3F, offset: 0xB3F, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x56700, symBinAddr: 0xF4A0, symSize: 0x0 }
  - { offsetInCU: 0xB54, offset: 0xB54, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x56710, symBinAddr: 0xF4B0, symSize: 0x0 }
  - { offsetInCU: 0xBCF, offset: 0xBCF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x530B0, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0xBDA, offset: 0xBDA, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x530B4, symBinAddr: 0xC0A4, symSize: 0x0 }
  - { offsetInCU: 0xBE5, offset: 0xBE5, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x530B8, symBinAddr: 0xC0A8, symSize: 0x0 }
  - { offsetInCU: 0xC2A, offset: 0xC2A, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x53210, symBinAddr: 0xC0B0, symSize: 0x0 }
  - { offsetInCU: 0xCA3, offset: 0xCA3, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x532C8, symBinAddr: 0xC168, symSize: 0x0 }
  - { offsetInCU: 0xCC1, offset: 0xCC1, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x532CC, symBinAddr: 0xC16C, symSize: 0x0 }
  - { offsetInCU: 0xCDA, offset: 0xCDA, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x532D0, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0xCF3, offset: 0xCF3, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x532D4, symBinAddr: 0xC174, symSize: 0x0 }
  - { offsetInCU: 0xD0C, offset: 0xD0C, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x532D8, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x92FB, offset: 0x92FB, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x532E0, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x9384, offset: 0x9384, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x532F0, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x939D, offset: 0x939D, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x532F8, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x93B6, offset: 0x93B6, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x53300, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x93CF, offset: 0x93CF, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x53308, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x93E8, offset: 0x93E8, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x53310, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x9402, offset: 0x9402, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x53318, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x94E8, offset: 0x94E8, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x53360, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x9501, offset: 0x9501, size: 0x8, addend: 0x0, symName: __ZL20expectedThreadsCount, symObjAddr: 0x53368, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x9553, offset: 0x9553, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x2320, symSize: 0x80 }
  - { offsetInCU: 0x95E8, offset: 0x95E8, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x2270, symSize: 0xB0 }
  - { offsetInCU: 0x9643, offset: 0x9643, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x2170, symSize: 0x100 }
  - { offsetInCU: 0x98D6, offset: 0x98D6, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x23A0, symSize: 0xC0 }
  - { offsetInCU: 0x9928, offset: 0x9928, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x2460, symSize: 0x220 }
  - { offsetInCU: 0x9B0D, offset: 0x9B0D, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x2680, symSize: 0xA0 }
  - { offsetInCU: 0x9BC0, offset: 0x9BC0, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x2720, symSize: 0x110 }
  - { offsetInCU: 0x9CB6, offset: 0x9CB6, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x2830, symSize: 0x150 }
  - { offsetInCU: 0x9E13, offset: 0x9E13, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x2980, symSize: 0x30 }
  - { offsetInCU: 0x9EE8, offset: 0x9EE8, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x29B0, symSize: 0x150 }
  - { offsetInCU: 0xA0E0, offset: 0xA0E0, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x2B00, symSize: 0x160 }
  - { offsetInCU: 0xA3A0, offset: 0xA3A0, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x2C60, symSize: 0x4A0 }
  - { offsetInCU: 0xA639, offset: 0xA639, size: 0x8, addend: 0x0, symName: _nsk_jvmti_findOptionIntValue, symObjAddr: 0x2860, symBinAddr: 0x3100, symSize: 0xE0 }
  - { offsetInCU: 0xA6F9, offset: 0xA6F9, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x31E0, symSize: 0x1B0 }
  - { offsetInCU: 0xA914, offset: 0xA914, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x3390, symSize: 0xA0 }
  - { offsetInCU: 0xA9E3, offset: 0xA9E3, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x3430, symSize: 0x20 }
  - { offsetInCU: 0xAA1A, offset: 0xAA1A, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x3450, symSize: 0x20 }
  - { offsetInCU: 0xAA51, offset: 0xAA51, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x3470, symSize: 0x20 }
  - { offsetInCU: 0xABC0, offset: 0xABC0, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x3490, symSize: 0x1A0 }
  - { offsetInCU: 0xAEDC, offset: 0xAEDC, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x3630, symSize: 0x130 }
  - { offsetInCU: 0xB08C, offset: 0xB08C, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x39D0, symSize: 0x1B0 }
  - { offsetInCU: 0xB37B, offset: 0xB37B, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x3B80, symSize: 0x80 }
  - { offsetInCU: 0xB444, offset: 0xB444, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x3C00, symSize: 0x6A0 }
  - { offsetInCU: 0xBFD9, offset: 0xBFD9, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA580, symBinAddr: 0x5310, symSize: 0xB0 }
  - { offsetInCU: 0xC050, offset: 0xC050, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x42A0, symSize: 0x70 }
  - { offsetInCU: 0xC0EC, offset: 0xC0EC, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x4310, symSize: 0xA0 }
  - { offsetInCU: 0xC1CB, offset: 0xC1CB, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x43B0, symSize: 0x40 }
  - { offsetInCU: 0xC2C1, offset: 0xC2C1, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x43F0, symSize: 0x2B0 }
  - { offsetInCU: 0xC667, offset: 0xC667, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x46A0, symSize: 0xC0 }
  - { offsetInCU: 0xC7AD, offset: 0xC7AD, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x4760, symSize: 0x10 }
  - { offsetInCU: 0xC86F, offset: 0xC86F, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x4770, symSize: 0x220 }
  - { offsetInCU: 0xCB6C, offset: 0xCB6C, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x4990, symSize: 0x10 }
  - { offsetInCU: 0xCBC9, offset: 0xCBC9, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x49A0, symSize: 0x1E0 }
  - { offsetInCU: 0xCDE8, offset: 0xCDE8, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9DF0, symBinAddr: 0x4B80, symSize: 0x10 }
  - { offsetInCU: 0xCEEE, offset: 0xCEEE, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9E00, symBinAddr: 0x4B90, symSize: 0x780 }
  - { offsetInCU: 0xD66E, offset: 0xD66E, size: 0x8, addend: 0x0, symName: __ZL21findThreadGroupByNameP9_jvmtiEnvP7JNIEnv_PKciPP8_jobject, symObjAddr: 0xA9A0, symBinAddr: 0x5730, symSize: 0x300 }
  - { offsetInCU: 0xDAB0, offset: 0xDAB0, size: 0x8, addend: 0x0, symName: __ZL16checkThreadGroupP9_jvmtiEnvP7JNIEnv_P8_jobjectPKciS6_, symObjAddr: 0xACA0, symBinAddr: 0x5A30, symSize: 0x3FC }
  - { offsetInCU: 0xDFAA, offset: 0xDFAA, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA630, symBinAddr: 0x53C0, symSize: 0x370 }
...
